Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class FileAdditions

    java.lang.Object
      wogroovy.additions.FileAdditions

public class FileAdditions
extends Object

Constructor Summary
`FileAdditions()`

Method Summary
`static byte[]` | `bytes(File self)`
`static byte[]` | `bytes(InputStream self)`
`static void` | `copyFiles(File self, File dstDirectory, boolean deleteOriginals, boolean recursiveCopy, FileFilter filter)`
`static boolean` | `deleteDirectory(File self)`
`static void` | `deleteFiles(File self, boolean recurseIntoDirectories)`
`static NSArray` | `filesInDirectory(File self, boolean recursive)`
`static void` | `linkFiles(File self, File destination, boolean symbolic, boolean allowUnlink, boolean doNotFollowSymbolicLinks)`
`static String` | `string(File self)`
`static String` | `string(File self, String encoding)`
`static String` | `string(InputStream self)`
`static String` | `string(InputStream self, String encoding)`
`static File` | `unzip(File self, File destination)`
`static void` | `writeToFile(InputStream self, File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileAdditions

    public FileAdditions()

Method Detail

### filesInDirectory

    public static NSArray filesInDirectory(File self,
                                           boolean recursive)

### bytes

    public static byte[] bytes(File self)
                        throws IOException

  Throws:
    `IOException`

### bytes

    public static byte[] bytes(InputStream self)
                        throws IOException

  Throws:
    `IOException`

### string

    public static String string(File self)
                         throws IOException

  Throws:
    `IOException`

### string

    public static String string(File self,
                                String encoding)
                         throws IOException

  Throws:
    `IOException`

### string

    public static String string(InputStream self)
                         throws IOException

  Throws:
    `IOException`

### string

    public static String string(InputStream self,
                                String encoding)
                         throws IOException

  Throws:
    `IOException`

### copyFiles

    public static void copyFiles(File self,
                                 File dstDirectory,
                                 boolean deleteOriginals,
                                 boolean recursiveCopy,
                                 FileFilter filter)
                          throws IOException,
                                 FileNotFoundException

  Throws:
    `IOException`
    `FileNotFoundException`

### deleteDirectory

    public static boolean deleteDirectory(File self)

### deleteFiles

    public static void deleteFiles(File self,
                                   boolean recurseIntoDirectories)

### linkFiles

    public static void linkFiles(File self,
                                 File destination,
                                 boolean symbolic,
                                 boolean allowUnlink,
                                 boolean doNotFollowSymbolicLinks)
                          throws IOException

  Throws:
    `IOException`

### unzip

    public static File unzip(File self,
                             File destination)
                      throws IOException

  Throws:
    `IOException`

### writeToFile

    public static void writeToFile(InputStream self,
                                   File file)
                            throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD